Bug 814662 - [abrt] puddletag-0.10.6-2.fc16: puddleobjects.py:1585:addImage:TypeError: QString.fromLocal8Bit(str, int size=-1): argument 1 has unexpected type 'unicode'
[abrt] puddletag-0.10.6-2.fc16: puddleobjects.py:1585:addImage:TypeError: QSt...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: puddletag (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
abrt_hash:b0973619057879891c064940fcf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 07:07 EDT by sAei
Modified: 2012-09-17 18:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-02 20:49:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (3.06 KB, text/plain)
2012-04-20 07:07 EDT, sAei
no flags Details

  None (edit)
Description sAei 2012-04-20 07:07:40 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/puddletag
executable:     /usr/bin/puddletag
kernel:         3.3.1-5.fc16.x86_64
reason:         puddleobjects.py:1585:addImage:TypeError: QString.fromLocal8Bit(str, int size=-1): argument 1 has unexpected type 'unicode'
time:           Пт. 20 апр. 2012 13:52:54
uid:            1000
username:       sAei

smolt_data:     Binary file, 3133 bytes

backtrace:
:puddleobjects.py:1585:addImage:TypeError: QString.fromLocal8Bit(str, int size=-1): argument 1 has unexpected type 'unicode'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/puddlestuff/puddleobjects.py", line 1585, in addImage
:    default_fn = QString.fromLocal8Bit(default_fn)
:TypeError: QString.fromLocal8Bit(str, int size=-1): argument 1 has unexpected type 'unicode'
:
:Local variables in innermost frame:
:edit: False
:self: <puddlestuff.puddleobjects.PicWidget object at 0x2b2cb00>
:default_fn: u'/home/sAei/Music/[\u30b5\u30ea\u30fc]/2011 - Sally/folder.jpg'
:filename: None
Comment 1 sAei 2012-04-20 07:07:43 EDT
Created attachment 578961 [details]
File: smolt_data
Comment 2 Fedora Update System 2012-08-24 14:44:23 EDT
puddletag-1.0.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/puddletag-1.0.0-1.fc17
Comment 3 Fedora Update System 2012-08-24 14:45:01 EDT
puddletag-1.0.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/puddletag-1.0.0-1.fc16
Comment 4 Fedora Update System 2012-08-24 14:45:33 EDT
puddletag-1.0.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/puddletag-1.0.0-1.fc18
Comment 5 Fedora Update System 2012-08-24 17:34:23 EDT
Package puddletag-1.0.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing puddletag-1.0.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12660/puddletag-1.0.0-1.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-09-02 20:49:42 EDT
puddletag-1.0.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-09-02 20:51:58 EDT
puddletag-1.0.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-09-17 18:14:00 EDT
puddletag-1.0.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.